function SEN = sensitivity(A,B)
%% Funkce pro vypocet SEN – sensitivity
% A - vektor 
% B - vysledek klasifikace (vektor obsahujici 0 a 1)

%% Vypocet

% pocet 1 ve vektoru A (jmenovatel)
if length(A) == length(B)
    for i=1:length(A)
        SEN_vector1(1,i) = isequal(A(1,i), 1);
    end
    
    pocet_shodnych1 = 0;
    for i=1:length(SEN_vector1)
        if SEN_vector1(1,i) == 1
            pocet_shodnych1 = pocet_shodnych1 + 1;   
        end
    end

 % citatel
    pocet_spravne_urcenych = 0;
    for i=1:length(A)
        if A(1,i) == 1
            if B(1,i) == 1
                pocet_spravne_urcenych = pocet_spravne_urcenych + 1;
            end
        end
    end
    
    
    
    SEN = (pocet_spravne_urcenych/pocet_shodnych1)*100;

else
    disp('Vektory nejsou stejne delky');
    
    SEN = NaN;
end

end





